# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-01-31 23:00
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython

def create_builtin_templates_variables(apps, schema_editor):
    template_model = apps.get_model('customer', 'CommunicationEventType')
    variable_model = apps.get_model('customer', 'CommunicationEventTypeTestVariable')

    comm_event_types = [
        {
            'code': 'CLIENT_ORDER_RECEIPT',
            'variables': [
                {
                    'code': 'id',
                    'description': 'номер заказа'
                },
            ]
        },
    ]

    for comm_event_type in comm_event_types:
        try:
            template = template_model.objects.get(code=comm_event_type['code'])
            for variable in comm_event_type['variables']:
                variable_model.objects.create(
                    template=template,
                    code=variable['code'],
                    description=variable['description'],
                )
        except template_model.DoesNotExist:
            pass

class Migration(migrations.Migration):

    dependencies = [
        ('customer', '0035_remove_user_amocrm_sync'),
    ]

    operations = [
        RunPython(create_builtin_templates_variables)
    ]
